Index: /trunk/src/VBox/Installer/linux/vboxdrv.sh.in
===================================================================
--- /trunk/src/VBox/Installer/linux/vboxdrv.sh.in	(revision 23890)
+++ /trunk/src/VBox/Installer/linux/vboxdrv.sh.in	(revision 23891)
@@ -55,5 +55,5 @@
 # silently exit if the package was uninstalled but not purged,
 # applies to Debian packages only
-[ -n "$DEBIAN" -a -x $VBOXMANAGE -a -x $BUILDVBOXDRV ] || exit 0
+[ -z "$DEBIAN" -o -x $VBOXMANAGE -a -x $BUILDVBOXDRV ] || exit 0
 
 if [ -n "$NOLSB" ]; then
